This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 475619 - [LTC 5.4 FEAT] libspe2 and elfspe2 maintenance from upstream [201775]
[LTC 5.4 FEAT] libspe2 and elfspe2 maintenance from upstream [201775]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libspe2 (Show other bugs)
5.4
ppc64 All
high Severity high
: alpha
: 5.4
Assigned To: Petr Machata
BaseOS QE
: FutureFeature, OtherQA, Rebase
Depends On:
Blocks: 445204 483784
  Show dependency treegraph
 
Reported: 2008-12-09 15:11 EST by IBM Bug Proxy
Modified: 2015-05-04 21:34 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
SPE Runtime Management Libraries were updated to latest available upstream release. Updated package includes fixes, enhancements, and ADA programming language bindings.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50367 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 15:11:01 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201775]
a. Name of Feature:	libspe2 and elfspe2 maintenance from upstream
b. Feature Description
Update the SPE Runtime Management Library libspe2 and elfspe2 in RHEL5.4 to the latest level made
available upstream at http://sourceforge.net/projects/libspe which is currently (as of 11/2008)
libspe2-2.3.0.135.tar.gz

2. Feature Details:
Sponsor:	QDC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Backport
Category:	Cell
Request Type:	Package - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	http://sourceforge.net/projects/libspe

3. Business Case
Maintain currency and include fixes and updates for libspe2 and elfspe2 to improve customer experience.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com, 49-7031-16-4198

Technical contact(s):
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com
Comment 1 John Jarvis 2008-12-23 16:21:05 EST
IBM is signed up to test and provide feedback.
Comment 2 IBM Bug Proxy 2009-01-23 11:50:55 EST
Hello Red Hat,
with the code due date for RHEL5.4 at 1/26 in mind I would like to ask you for your advise
whether you plan to update the libspe2 and elfspe2 package directly from upstream (as originally requested in this RHEL5.4 feature request) or whether we should provide you a patch which upgrades the libspe2 and elfspe2 packages as contaiend in RHEL5.3 to the upstream level ...
... please advise.
Thanks for your support.
Comment 3 Petr Machata 2009-01-23 15:02:07 EST
Whichever method is fine by me, there's really no difference packaging-wise, compatibility concerns are the same, etc.  I can rebase easily given the three acks get resolved.  The 26/1 deadline is related to scoping phase, acks will appear after that.  I will fetch the latest code that you have upstream when I do the packaging.
Comment 4 IBM Bug Proxy 2009-01-26 08:19:28 EST
Hello Petr,
thanks for the quick response ..
... yes, please fetch the most current code from upstream and please keep us informed in case of any question.
Thanks for your support.
Comment 6 IBM Bug Proxy 2009-02-04 12:50:58 EST
Hello Petr,
fyi ... the most current -135 version of libspe2 can be downloaded from
http://downloads.sourceforge.net/libspe/libspe2-2.3.0.135.tar.gz?modtime=1224254578&big_mirror=0
Thanks for your support.
Comment 10 John Jarvis 2009-03-31 13:56:18 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 12 Chris Ward 2009-06-14 19:18:40 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 14 Petr Machata 2009-06-29 06:50:57 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
SPE Runtime Management Libraries were updated to latest available upstream release.  Updated package includes fixes, enhancements, and ADA programming language bindings.
Comment 15 Chris Ward 2009-07-03 14:16:59 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 16 IBM Bug Proxy 2009-07-09 04:41:46 EDT
------- Comment From gerhard.stenzel@de.ibm.com 2009-07-09 04:37 EDT-------
Verified in RHEL 5.4 Beta .. closing Bugzilla
Comment 18 errata-xmlrpc 2009-09-02 05:17:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1263.html

Note You need to log in before you can comment on or make changes to this bug.